eoPropCombinedMonOp(3)

NAME
eoPropCombinedMonOp - eoMonOp is the monary operator: genetic operator that takes only one EO

SYNOPSIS

#include <eoProportionalCombinedOp.h>

Inherits eoMonOp< EOT >.

  Public Member Functions
eoPropCombinedMonOp (eoMonOp< EOT > &_first, const double _rate)
Ctor from a 'true' operator.
virtual std::string className () const
virtual void add (eoMonOp< EOT > &_op, const double _rate, bool _verbose=false)
virtual void printOn (std::ostream &_os)
virtual bool operator() (EOT &_indi)
The pure virtual function that needs to be implemented by the subclass.

  Protected Attributes
std::vector< eoMonOp< EOT > * > ops
std::vector< double > rates

Detailed Description

  template<class EOT> class eoPropCombinedMonOp< EOT >
eoMonOp is the monary operator: genetic operator that takes only one EO now accepts generic operators

Definition at line 58 of file eoProportionalCombinedOp.h.

Author

Generated automatically by Doxygen for EO from the source code.